## korganizer 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(PIM_VERSION "6.5.1")
set(RELEASE_SERVICE_VERSION "25.08.1")

# Update it for each release
set(KORGANIZER_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

project(korganizer VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    plugins/*.cpp
    plugins/*.h
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMCheckOutboundLicense)
ecm_check_outbound_license(LICENSES GPL-2.0-only GPL-3.0-only FILES
                           ${ALL_CLANG_FORMAT_SOURCE_FILES}
)

# Require a C++20 capable compiler
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

set(AKONADI_CONTACT_VERSION "6.5.1")
set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
set(CALENDARUTILS_LIB_VERSION "6.5.1")
set(AKONADICALENDAR_LIB_VERSION "6.5.1")
set(KONTACTINTERFACE_LIB_VERSION "6.5.1")
set(KMIME_LIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        DBus
        Gui
        Widgets
        Test
        UiTools
)

set(PIMCOMMON_LIB_VERSION "6.5.1")
set(LIBKDEPIM_LIB_VERSION "6.5.1")
set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.1")
set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
set(EVENTVIEW_LIB_VERSION "6.5.1")

# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)

set_package_properties(
    KF6UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional)."
)

if(TARGET KF6::UserFeedbackWidgets)
    set(KORGANIZER_WITH_KUSERFEEDBACK true)
endif()

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IncidenceEditor ${LIBINCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities (experimental)" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION
                        "Allow to compile with plasma activities"
                    TYPE
                        OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

if(NOT APPLE)
    find_package(X11)
endif()

set(KDEPIM_HAVE_X11 ${X11_FOUND})
configure_file(config-korganizer.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h)
include_directories(
    ${korganizer_SOURCE_DIR}
    ${korganizer_BINARY_DIR}
)
configure_file(korganizer-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/korganizer-version.h @ONLY)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
add_subdirectory(plugins)

ecm_qt_install_logging_categories(
  EXPORT KORGANIZER FILE korganizer.categories DESTINATION
  ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

########### next target ###############

add_executable(
    testkodaymatrix
    testkodaymatrix.cpp
    testkodaymatrix.h
    ../kodaymatrix.cpp
)
add_test(NAME testkodaymatrix COMMAND testkodaymatrix)
ecm_mark_as_test(testkodaymatrix)
target_link_libraries(
    testkodaymatrix
    KPim6::AkonadiCore
    KF6::CalendarCore
    KPim6::CalendarSupport
    korganizer_core
    korganizerprivate
    Qt::Test
)

add_executable(
    testkodaymatrix_us
    testkodaymatrix_us.cpp
    testkodaymatrix_us.h
    ../kodaymatrix.cpp
)
add_test(NAME testkodaymatrix_us COMMAND testkodaymatrix_us)
ecm_mark_as_test(testkodaymatrix_us)
target_link_libraries(
    testkodaymatrix_us
    KPim6::AkonadiCore
    KF6::CalendarCore
    KPim6::CalendarSupport
    korganizer_core
    korganizerprivate
    Qt::Test
)

set(koeventpopupmenutest_SRCS
    ../koeventpopupmenu.cpp
    ../kocorehelper.cpp
    ../korganizer_debug.cpp
)
set(koeventpopupmenutest_LIBS
    Qt::Test
    Qt::Gui
    Qt::Core
    KPim6::Mime
    KPim6::AkonadiWidgets
    KPim6::AkonadiCore
    KPim6::AkonadiCalendar
    KF6::CalendarCore
    KPim6::IncidenceEditor
    KPim6::CalendarSupport
    korganizer_core
    korganizerprivate
)
add_akonadi_isolated_test_advanced(koeventpopupmenutest.cpp "${koeventpopupmenutest_SRCS}" "${koeventpopupmenutest_LIBS}")

ecm_add_test(testtoggletodo.cpp
  LINK_LIBRARIES
    Qt::Test
    KF6::CalendarCore
    KPim6::IdentityManagementCore
    korganizer_core
    korganizerprivate
)

=== src/kontactplugin/korganizer/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
########### next target ###############
set(libcommon_SRCS
    korg_uniqueapp.cpp
    korg_uniqueapp.h
)
ecm_qt_declare_logging_category(libcommon_SRCS HEADER korganizerplugin_debug.h IDENTIFIER KORGANIZERPLUGIN_LOG CATEGORY_NAME org.kde.pim.korganizer_plugin
        DESCRIPTION "korganizer (korganizer kontact plugins)"
        OLD_CATEGORY_NAMES log_korganizer_plugin
        EXPORT KORGANIZER
)

set(kontact_korganizerplugin_PART_SRCS
    korganizerplugin.cpp
    apptsummarywidget.cpp
    summaryeventinfo.cpp
    korganizerplugin.h
    apptsummarywidget.h
    summaryeventinfo.h
    ${libcommon_SRCS}
)

qt_add_dbus_interfaces(kontact_korganizerplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml  ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml)

add_library(kontact_korganizerplugin MODULE ${kontact_korganizerplugin_PART_SRCS})

target_link_libraries(
    kontact_korganizerplugin
    Qt::DBus
    KPim6::AkonadiCalendar
    KPim6::CalendarUtils
    KF6::Contacts
    KF6::CalendarCore
    KPim6::KontactInterface
    korganizerprivate
    KPim6::CalendarSupport
    KPim6::AkonadiCalendar
    KF6::WindowSystem
    KF6::I18n
)

########### next target ###############

set(kontact_todoplugin_PART_SRCS
    todoplugin.cpp
    todosummarywidget.cpp
    todoplugin.h
    todosummarywidget.h
    ${libcommon_SRCS}
)

qt_add_dbus_interfaces(kontact_todoplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml  ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml)

add_library(kontact_todoplugin MODULE ${kontact_todoplugin_PART_SRCS})

target_link_libraries(
    kontact_todoplugin
    Qt::DBus
    KPim6::AkonadiCalendar
    KF6::Contacts
    KPim6::KontactInterface
    KF6::CalendarCore
    KPim6::CalendarUtils
    KPim6::CalendarSupport
    KPim6::AkonadiCalendar
    KF6::WindowSystem
)

########### next target ###############

set(kontact_journalplugin_PART_SRCS
    journalplugin.cpp
    journalplugin.h
    ${libcommon_SRCS}
)

qt_add_dbus_interfaces(kontact_journalplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml)

add_library(kontact_journalplugin MODULE ${kontact_journalplugin_PART_SRCS})

target_link_libraries(
    kontact_journalplugin
    Qt::DBus
    KF6::I18n
    KPim6::KontactInterface
    KF6::WindowSystem
)

########### next target ###############

set(kcmapptsummary_PART_SRCS
    kcmapptsummary.cpp
    kcmapptsummary.h
)

ki18n_wrap_ui(kcmapptsummary_PART_SRCS apptsummaryconfig_base.ui)

add_library(kcmapptsummary MODULE ${kcmapptsummary_PART_SRCS})
target_link_libraries(
    kcmapptsummary
    KF6::KCMUtils
    KF6::I18n
    KF6::CoreAddons
)

########### next target ###############

set(kcmtodosummary_PART_SRCS
    kcmtodosummary.cpp
    kcmtodosummary.h
)

ki18n_wrap_ui(kcmtodosummary_PART_SRCS todosummaryconfig_base.ui)

add_library(kcmtodosummary MODULE ${kcmtodosummary_PART_SRCS})
target_link_libraries(
    kcmtodosummary
    Qt::Widgets
    KF6::KCMUtils
    KF6::I18n
    KF6::CoreAddons
)

########## Unit Test ###########
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
########### install files ###############

install(TARGETS kcmapptsummary DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/summary)
install(TARGETS kcmtodosummary DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/summary)
install(TARGETS kontact_korganizerplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kontact)
install(TARGETS kontact_todoplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kontact)
install(TARGETS kontact_journalplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kontact)

=== src/views/collectionview/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_subdirectory(icons)

=== debian/changelog ===
korganizer (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:11:00 +0100

korganizer (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:56:34 +0100

=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.1~),
               libakonadicalendar-dev (>= 4:25.08.1~),
               libakonadicontact-dev (>= 4:25.08.1~),
               libcalendarsupport-dev (>= 4:25.08.1~),
               libeventviews-dev (>= 4:25.08.1~),
               libincidenceeditor-dev (>= 25.08.1~),
               libkcalendarutils-dev (>= 4:25.08.1~),
               libkdepim-dev (>= 4:25.08.1~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.1~),
               libkldap-dev (>= 25.08.1~),
               libkmailtransport-dev (>= 25.08.1~),
               libkmime-dev (>= 25.08.1~),
               libkontactinterface-dev (>= 25.08.1~),
               libpimcommon-dev (>= 4:25.08.1~),
               libplasmaactivities-dev (>= 6.1.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/korganizer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer
Rules-Requires-Root: no

Package: korganizer
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Recommends: kalendarac,
Breaks: kdepim-addons (<< 22.12.4),
Replaces: kdepim-addons (<< 22.12.4),
Homepage: http://kontact.kde.org/korganizer/
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.

## korganizer 25.08.1+p24.04+vstable+git20250928.1353

=== debian/changelog ===
korganizer (4:25.08.1+p24.04+vstable+git20250928.1353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:53:44 +0000

korganizer (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:44:13 +0000

## korganizer 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,11 @@
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.5.1")
-set(RELEASE_SERVICE_VERSION "25.08.1")
+set(PIM_VERSION "6.5.2")
+set(RELEASE_SERVICE_VERSION "25.08.2")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
@@ -76,13 +76,13 @@
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
-set(AKONADI_CONTACT_VERSION "6.5.1")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
-set(CALENDARUTILS_LIB_VERSION "6.5.1")
-set(AKONADICALENDAR_LIB_VERSION "6.5.1")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
+set(AKONADI_CONTACT_VERSION "6.5.2")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
+set(CALENDARUTILS_LIB_VERSION "6.5.2")
+set(AKONADICALENDAR_LIB_VERSION "6.5.2")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.2")
+set(KMIME_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.2")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -99,11 +99,11 @@
         UiTools
 )
 
-set(PIMCOMMON_LIB_VERSION "6.5.1")
-set(LIBKDEPIM_LIB_VERSION "6.5.1")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.1")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
-set(EVENTVIEW_LIB_VERSION "6.5.1")
+set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(LIBKDEPIM_LIB_VERSION "6.5.2")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.2")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.2")
+set(EVENTVIEW_LIB_VERSION "6.5.2")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR korganizer)

=== plugins/thisdayinhistory/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

########### next target ###############

add_library(thisdayinhistory MODULE)
target_sources(
    thisdayinhistory
    PRIVATE
        thisdayinhistory.cpp
        thisdayinhistory.h
)

target_link_libraries(thisdayinhistory KPim6::EventViews)

install(TARGETS thisdayinhistory DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/korganizer)

=== src/sounds/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
install(
    FILES
        alert.wav
        icemag.wav
        lightmag.wav
        onscreen.wav
        spinout.wav
    DESTINATION ${KDE_INSTALL_DATADIR}/korganizer/sounds
)

=== src/interfaces/korganizer/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
########### next target ###############

add_library(korganizer_interfaces)
target_sources(
    korganizer_interfaces
    PRIVATE
        baseview.cpp
        mainwindow.cpp
        baseview.h
        mainwindow.h
)
generate_export_header(korganizer_interfaces BASE_NAME korganizer_interfaces)
target_link_libraries(
    korganizer_interfaces
    KPim6::CalendarSupport
    KPim6::EventViews
    KPim6::AkonadiCore
    Qt::PrintSupport
    KF6::Parts
)

set_target_properties(
    korganizer_interfaces
    PROPERTIES
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
)

install(
    TARGETS
        korganizer_interfaces
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY
        NAMELINK_SKIP
)

=== src/kontactplugin/specialdates/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
########### next target ###############

set(kontact_specialdatesplugin_PART_SRCS
    specialdates_plugin.cpp
    sdsummarywidget.cpp
    specialdates_plugin.h
    sdsummarywidget.h
)
ecm_qt_declare_logging_category(kontact_specialdatesplugin_PART_SRCS HEADER korganizer_kontactplugins_specialdates_debug.h IDENTIFIER KORGANIZER_KONTACTPLUGINS_SPECIALDATES_LOG CATEGORY_NAME org.kde.pim.korganizer_kontactplugins_specialdates
        DESCRIPTION "korganizer (kontactplugins korganizer special dates)"
        OLD_CATEGORY_NAMES log_korganizer_kontactplugins_specialdates
        EXPORT KORGANIZER
)

add_library(kontact_specialdatesplugin MODULE ${kontact_specialdatesplugin_PART_SRCS})

set(_korganizerprivate_lib "korganizerprivate")

target_link_libraries(
    kontact_specialdatesplugin
    KF6::Contacts
    KF6::CalendarCore
    KF6::Holidays
    KPim6::KontactInterface
    KPim6::AkonadiCore
    KPim6::AkonadiContactWidgets
    KPim6::CalendarSupport
)

########### next target ###############

set(kcmsdsummary_PART_SRCS
    kcmsdsummary.cpp
    kcmsdsummary.h
)

ki18n_wrap_ui(kcmsdsummary_PART_SRCS sdsummaryconfig_base.ui)

add_library(kcmsdsummary MODULE ${kcmsdsummary_PART_SRCS})
target_link_libraries(
    kcmsdsummary
    Qt::Widgets
    KF6::KCMUtils
    KF6::I18n
    KF6::CoreAddons
)

########### install files ###############

install(TARGETS kontact_specialdatesplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kontact)
install(TARGETS kcmsdsummary DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/summary)

=== src/kontactplugin/korganizer/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

message(STATUS "Warning: the summaryevent tests needs to be ported to Akonadi")
return()

set(summaryeventtest_SRCS
    summaryeventtest.cpp
    ../summaryeventinfo.cpp
)

add_executable(summaryeventtest ${summaryeventtest_SRCS})
add_test(NAME summaryeventtest COMMAND summaryeventtest)
ecm_mark_as_test(summaryeventtest)

target_link_libraries(
    summaryeventtest
    KF6::CalendarCore
    KPim6::CalendarUtils
    Qt::Test
    KF6::I18n
)

=== debian/changelog ===
korganizer (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:51:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.1~),
-               libakonadicalendar-dev (>= 4:25.08.1~),
-               libakonadicontact-dev (>= 4:25.08.1~),
-               libcalendarsupport-dev (>= 4:25.08.1~),
-               libeventviews-dev (>= 4:25.08.1~),
-               libincidenceeditor-dev (>= 25.08.1~),
-               libkcalendarutils-dev (>= 4:25.08.1~),
-               libkdepim-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
+               libakonadicalendar-dev (>= 4:25.08.2~),
+               libakonadicontact-dev (>= 4:25.08.2~),
+               libcalendarsupport-dev (>= 4:25.08.2~),
+               libeventviews-dev (>= 4:25.08.2~),
+               libincidenceeditor-dev (>= 25.08.2~),
+               libkcalendarutils-dev (>= 4:25.08.2~),
+               libkdepim-dev (>= 4:25.08.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -36,12 +36,12 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.1~),
-               libkldap-dev (>= 25.08.1~),
-               libkmailtransport-dev (>= 25.08.1~),
-               libkmime-dev (>= 25.08.1~),
-               libkontactinterface-dev (>= 25.08.1~),
-               libpimcommon-dev (>= 4:25.08.1~),
+               libkidentitymanagement-dev (>= 25.08.2~),
+               libkldap-dev (>= 25.08.2~),
+               libkmailtransport-dev (>= 25.08.2~),
+               libkmime-dev (>= 25.08.2~),
+               libkontactinterface-dev (>= 25.08.2~),
+               libpimcommon-dev (>= 4:25.08.2~),
                libplasmaactivities-dev (>= 6.1.0~),
                libx11-dev,
                pkgconf,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# do not ship development stuff
	find debian/korganizer -name '*.so' -type l -print -delete

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel

## korganizer 25.08.2+p24.04+vstable+git20251016.2245

=== debian/changelog ===
korganizer (4:25.08.2+p24.04+vstable+git20251016.2245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:45:53 +0000

korganizer (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:28:44 +0000

## korganizer 25.08.2+p24.04+vstable+git20251019.0905

=== debian/changelog ===
korganizer (4:25.08.2+p24.04+vstable+git20251019.0905-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 09:05:14 +0000

=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kf6-sonnet-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-search-dev,
               kpim6-calendarsupport-dev,
               kpim6-eventviews-dev,
               kpim6-grantleetheme-dev,
               kpim6-incidenceeditor-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kldap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmime-dev,
               kpim6-kontactinterface-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-libkgapi-dev,
               kpim6-mailcommon-dev,
               kpim6-messagelib-dev,
               kpim6-pimcommon-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libcups2-dev,
               libgpgme11-dev | libgpgme-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               reuse,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/korganizer.git
Vcs-Browser: https://invent.kde.org/neon/kde/korganizer
Maintainer: Neon CI <neon@kde.org>

Package: korganizer
Architecture: any
Depends: kpim6-kdepim-runtime,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Homepage: http://kontact.kde.org/korganizer/
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.
 .

## korganizer 25.08.2+p24.04+vstable+git20251031.0553

=== debian/changelog ===
korganizer (4:25.08.2+p24.04+vstable+git20251031.0553-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 05:53:21 +0000

## korganizer 25.08.2+p24.04+vunstable+git20251015.0715

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,24 +3,24 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.5.2")
-set(RELEASE_SERVICE_VERSION "25.08.2")
+set(PIM_VERSION "6.5.40")
+set(RELEASE_SERVICE_VERSION "25.11.70")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 project(korganizer VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 
@@ -73,16 +73,17 @@
 
 # Require a C++20 capable compiler
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
-set(AKONADI_CONTACT_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
-set(AKONADICALENDAR_LIB_VERSION "6.5.2")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
-set(AKONADI_VERSION "6.5.2")
+set(AKONADI_CONTACT_VERSION "6.5.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
+set(CALENDARUTILS_LIB_VERSION "6.5.40")
+set(AKONADICALENDAR_LIB_VERSION "6.5.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.5.40")
+set(AKONADI_VERSION "6.5.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -99,11 +100,11 @@
         UiTools
 )
 
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.2")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.2")
-set(EVENTVIEW_LIB_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.40")
+set(EVENTVIEW_LIB_VERSION "6.5.40")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -198,6 +199,23 @@
     find_package(X11)
 endif()
 
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+
+find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
+set_package_properties(
+    KF6TextAddonsWidgets
+    PROPERTIES
+        DESCRIPTION
+            "Add text addons widget"
+        TYPE
+            REQUIRED
+)
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
+
 set(KDEPIM_HAVE_X11 ${X11_FOUND})
 configure_file(config-korganizer.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h)
 include_directories(
@@ -207,7 +225,7 @@
 configure_file(korganizer-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/korganizer-version.h @ONLY)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
korganizer (4:25.08.2+p24.04+vunstable+git20251015.0715-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:15:39 +0000

## korganizer 25.08.2+p24.04+vunstable+git20251020.0754

=== debian/changelog ===
korganizer (4:25.08.2+p24.04+vunstable+git20251020.0754-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 07:54:42 +0000

## korganizer 25.08.2+p24.04+vunstable+git20251022.0019

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 project(korganizer VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
korganizer (4:25.08.2+p24.04+vunstable+git20251022.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:19:30 +0000
